Package jnr.constants.platform.linux.loongarch64

# Enum Pathconf

java.lang.Object
java.lang.Enum<Pathconf>
jnr.constants.platform.linux.loongarch64.Pathconf

All Implemented Interfaces:
  `Serializable`, `Comparable<Pathconf>`, `java.lang.constant.Constable`, `Constant`

public enum Pathconf extends Enum<Pathconf> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_PC_2_SYMLINKS`
`_PC_ALLOC_SIZE_MIN`
`_PC_ASYNC_IO`
`_PC_CHOWN_RESTRICTED`
`_PC_FILESIZEBITS`
`_PC_LINK_MAX`
`_PC_MAX_CANON`
`_PC_MAX_INPUT`
`_PC_NAME_MAX`
`_PC_NO_TRUNC`
`_PC_PATH_MAX`
`_PC_PIPE_BUF`
`_PC_PRIO_IO`
`_PC_REC_INCR_XFER_SIZE`
`_PC_REC_MAX_XFER_SIZE`
`_PC_REC_MIN_XFER_SIZE`
`_PC_REC_XFER_ALIGN`
`_PC_SYMLINK_MAX`
`_PC_SYNC_IO`
`_PC_VDISABLE`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Pathconf`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Pathconf[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### _PC_FILESIZEBITS

public static final Pathconf _PC_FILESIZEBITS

### _PC_LINK_MAX

public static final Pathconf _PC_LINK_MAX

### _PC_MAX_CANON

public static final Pathconf _PC_MAX_CANON

### _PC_MAX_INPUT

public static final Pathconf _PC_MAX_INPUT

### _PC_NAME_MAX

public static final Pathconf _PC_NAME_MAX

### _PC_PATH_MAX

public static final Pathconf _PC_PATH_MAX

### _PC_PIPE_BUF

public static final Pathconf _PC_PIPE_BUF

### _PC_2_SYMLINKS

public static final Pathconf _PC_2_SYMLINKS

### _PC_ALLOC_SIZE_MIN

public static final Pathconf _PC_ALLOC_SIZE_MIN

### _PC_REC_INCR_XFER_SIZE

public static final Pathconf _PC_REC_INCR_XFER_SIZE

### _PC_REC_MAX_XFER_SIZE

public static final Pathconf _PC_REC_MAX_XFER_SIZE

### _PC_REC_MIN_XFER_SIZE

public static final Pathconf _PC_REC_MIN_XFER_SIZE

### _PC_REC_XFER_ALIGN

public static final Pathconf _PC_REC_XFER_ALIGN

### _PC_SYMLINK_MAX

public static final Pathconf _PC_SYMLINK_MAX

### _PC_CHOWN_RESTRICTED

public static final Pathconf _PC_CHOWN_RESTRICTED

### _PC_NO_TRUNC

public static final Pathconf _PC_NO_TRUNC

### _PC_VDISABLE

public static final Pathconf _PC_VDISABLE

### _PC_ASYNC_IO

public static final Pathconf _PC_ASYNC_IO

### _PC_PRIO_IO

public static final Pathconf _PC_PRIO_IO

### _PC_SYNC_IO

public static final Pathconf _PC_SYNC_IO

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Pathconf[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Pathconf valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Pathconf>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`